> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Company Event

> POSTs a request upon update of a Company object.

This endpoint specifies what will be sent to your Company Update Webhook. Zeal POSTs a request containing a [The Company Object](/reference/companies/the-company-object) once it is successfully updated in the application. You can update and test the webhook URL you want Zeal to hit on the 'API' page of the Zeal Dashboard.

***

## Request Body

| attribute | type    | description                                             |
| --------- | ------- | ------------------------------------------------------- |
| test      | boolean | Whether the company was updated in Test Mode            |
| type      | string  | The operation that was applied to this company `update` |

Other [The Company Object](/reference/companies/the-company-object) fields

***

## Returns

Doesn't return anything but rather POSTs [The Company Object](/reference/companies/the-company-object) to your webhook URL

***

## Raw Content Example

```json theme={null}
{
  "type": "update",
  "companyID": "123456789",
  "status": "live",
  "first_name": "Test",
  "last_name": "Employer",
  "email": "test@demo.com",
  "business_name": "Test Company",
  "business_ein": "123456789",
  "business_phone": "+13456789012",
  "business_address": "1 Ferry Building",
  "business_city": "San Francisco",
  "business_state": "CA",
  "business_zip": "94105",
  "mail_address": "1 Ferry Building",
  "mail_city": "San Francisco",
  "mail_state": "CA",
  "mail_zip": "94105",
  "skip_migration": true,
  "account_number": "567789343",
  "routing_number": "567789343",
  "requirements": [],
  "onboarding_url": "/employeronboard/123456789?companyID=123456789&classification=TEST&use_bank_verification=true",
  "is_sandbox": true,
  "webhook_correlation_id": "Company One",
  "timestamp": "2024-01-21T21:29:42Z"
}
```
